Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class ClassCodeExpressionTransformer

Visitor to transform expressions in a whole class. Transformed Expressions are usually not visited.

author:
  Jochen Theodorou

Constructor Summary
`ClassCodeExpressionTransformer()`

Method Summary
`Expression` | `transform(Expression exp)`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitAssertStatement(AssertStatement as)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitExpressionStatement(ExpressionStatement es)`
`void` | `visitField(FieldNode node)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitProperty(PropertyNode node)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement sync)`
`void` | `visitThrowStatement(ThrowStatement ts)`
`void` | `visitWhileLoop(WhileStatement loop)`

Constructor Detail

### ClassCodeExpressionTransformer

    ClassCodeExpressionTransformer()

Method Detail

### transform

    public Expression transform(Expression exp)

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement as)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)

### visitConstructorOrMethod

    void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement es)

### visitField

    public void visitField(FieldNode node)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitIfElse

    public void visitIfElse(IfStatement ifElse)

### visitProperty

    public void visitProperty(PropertyNode node)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement sync)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement ts)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)